Skip to content

List all database connections for a team

Request

OPA roles:
  • resource_admin

Lists all database connections for the specified team

Security
bearerAuth
Path
team_namestringrequired

The name of your team

Query
containsstring

Filter database connections by name containing the specified string

auth_typeArray of strings

Filter database connections by the authentication type

statusArray of strings

Filter database connections by the connection status

countinteger, (int32)

The number of objects per page

prevboolean

The direction of paging

offsetstring

The offset value for pagination. The rel="next" and rel="prev" Link headers define the offset for subsequent or previous pages.

descendingboolean

If true, results are listed in descending order. By default, results are listed in ascending order.

GET
/v1/teams/{team_name}/connections/databases
curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/connections/databases?contains=string&auth_type=mysql_basic_auth&status=active&count=0&prev=true&offset=string&descending=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
listArray of objects(DatabaseConnectionWithRuleAndAccountCountResponse)

Database connections with their rules and account counts

Response
{ "list": [ {} ] }